Package Details: filmulator 0.11.1-1

Git Clone URL: https://aur.archlinux.org/filmulator.git (read-only, click to copy)
Package Base: filmulator
Description: Simple raw photo editor based on the process of developing film
Upstream URL: https://filmulator.org/
Licenses: GPL3
Submitter: tecnotercio
Maintainer: tecnotercio
Last Packager: tecnotercio
Votes: 3
Popularity: 0.095735
First Submitted: 2020-10-26 00:55
Last Updated: 2021-06-29 01:31

Latest Comments

tecnotercio commented on 2021-02-25 22:18

@heitzmann: Dependency "qt5-quickcontrols2" added as requested

heitzmann commented on 2021-02-22 11:34

@tecnotercio It does not start without qt5-quickcontrols2. Do you have it installed? Can you try removing and running again? Here's my error log:

https://gist.github.com/heitzmann/49e6d1392173f4b6f7e03ef576757d78

tecnotercio commented on 2021-02-02 20:08

@simona: It is not possible to compile the package with the stable version of lensfun.

The developer guides you to use the Git version of the library:

https://github.com/CarVac/filmulator-gui/blob/9ed94d312c9eb2dd249f6f4e9747eaa252147858/README.md#building-filmulator

simona commented on 2021-02-02 16:26

why lensfun-git dep but not lensfun?

tecnotercio commented on 2021-01-25 22:24

@heitzmann: According to namcap, the "qt5-quickcontrols2" dependency is not required for the package.

@melentye: The Filmulator documentation guides you to compile the package with the Git version of lensfun: https://github.com/CarVac/filmulator-gui/blob/9ed94d312c9eb2dd249f6f4e9747eaa252147858/README.md#building-filmulator

The build hangs if you try to compile with the stable version of the library.

[ 33%] Building CXX object CMakeFiles/filmulator.dir/core/develop.cpp.o
[ 34%] Building CXX object CMakeFiles/filmulator.dir/core/diffuse.cpp.o
[ 34%] Building CXX object CMakeFiles/filmulator.dir/core/exposure.cpp.o
[ 35%] Building CXX object CMakeFiles/filmulator.dir/core/filmulate.cpp.o
[ 36%] Building CXX object CMakeFiles/filmulator.dir/core/imagePipeline.cpp.o
/build/filmulator/src/filmulator-gui-0.11.0/filmulator-gui/core/imagePipeline.cpp: In member function ‘matrix<short unsigned int>& ImagePipeline::processImage(ParameterManager*, Interface*, Exiv2::ExifData&)’:
/build/filmulator/src/filmulator-gui-0.11.0/filmulator-gui/core/imagePipeline.cpp:785:120: error: no matching function for call to ‘lfModifier::lfModifier(const lfLens*&, float&, const float&, int&, int&, lfPixelFormat)’
  785 |                 lfModifier * mod = new lfModifier(lens, demosaicParam.focalLength, cropFactor, width, height, LF_PF_F32);
      |                                                                                                                        ^
In file included from /build/filmulator/src/filmulator-gui-0.11.0/filmulator-gui/core/../ui/parameterManager.h:16,
                 from /build/filmulator/src/filmulator-gui-0.11.0/filmulator-gui/core/imagePipeline.h:5,
                 from /build/filmulator/src/filmulator-gui-0.11.0/filmulator-gui/core/imagePipeline.cpp:1:
/usr/include/lensfun/lensfun.h:2485:5: note: candidate: ‘lfModifier::lfModifier(float, int, int, lfPixelFormat, bool)’
 2485 |     lfModifier (float imgcrop, int imgwidth, int imgheight, lfPixelFormat pixel_format, bool reverse = false);
      |     ^~~~~~~~~~
/usr/include/lensfun/lensfun.h:2485:5: note:   candidate expects 5 arguments, 6 provided
/usr/include/lensfun/lensfun.h:2374:16: note: candidate: ‘lfModifier::lfModifier(const lfLens*, float, int, int)’
 2374 |     DEPRECATED lfModifier (const lfLens *lens, float crop, int width, int height);
      |                ^~~~~~~~~~
/usr/include/lensfun/lensfun.h:2374:16: note:   candidate expects 4 arguments, 6 provided
/usr/include/lensfun/lensfun.h:2350:18: note: candidate: ‘lfModifier::lfModifier(const lfModifier&)’
 2350 | struct LF_EXPORT lfModifier
      |                  ^~~~~~~~~~
/usr/include/lensfun/lensfun.h:2350:18: note:   candidate expects 1 argument, 6 provided
/build/filmulator/src/filmulator-gui-0.11.0/filmulator-gui/core/imagePipeline.cpp:794:58: error: no matching function for call to ‘lfModifier::EnableTCACorrection()’
  794 |                     modflags |= mod->EnableTCACorrection();
      |                                                          ^
In file included from /build/filmulator/src/filmulator-gui-0.11.0/filmulator-gui/core/../ui/parameterManager.h:16,
                 from /build/filmulator/src/filmulator-gui-0.11.0/filmulator-gui/core/imagePipeline.h:5,
                 from /build/filmulator/src/filmulator-gui-0.11.0/filmulator-gui/core/imagePipeline.cpp:1:
/usr/include/lensfun/lensfun.h:2519:9: note: candidate: ‘int lfModifier::EnableTCACorrection(const lfLensCalibTCA&)’
 2519 |     int EnableTCACorrection (const lfLensCalibTCA& lctca);
      |         ^~~~~~~~~~~~~~~~~~~
/usr/include/lensfun/lensfun.h:2519:9: note:   candidate expects 1 argument, 0 provided
/usr/include/lensfun/lensfun.h:2530:9: note: candidate: ‘int lfModifier::EnableTCACorrection(const lfLens*, float)’
 2530 |     int EnableTCACorrection (const lfLens* lens, float focal);
      |         ^~~~~~~~~~~~~~~~~~~
/usr/include/lensfun/lensfun.h:2530:9: note:   candidate expects 2 arguments, 0 provided
/build/filmulator/src/filmulator-gui-0.11.0/filmulator-gui/core/imagePipeline.cpp:802:95: error: no matching function for call to ‘lfModifier::EnableVignettingCorrection(float&, float)’
  802 |                     modflags |= mod->EnableVignettingCorrection(demosaicParam.fnumber, 1000.0f);
      |                                                                                               ^
In file included from /build/filmulator/src/filmulator-gui-0.11.0/filmulator-gui/core/../ui/parameterManager.h:16,
                 from /build/filmulator/src/filmulator-gui-0.11.0/filmulator-gui/core/imagePipeline.h:5,
                 from /build/filmulator/src/filmulator-gui-0.11.0/filmulator-gui/core/imagePipeline.cpp:1:
/usr/include/lensfun/lensfun.h:2540:9: note: candidate: ‘int lfModifier::EnableVignettingCorrection(const lfLensCalibVignetting&)’
 2540 |     int EnableVignettingCorrection (const lfLensCalibVignetting& lcv);
      |         ^~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/include/lensfun/lensfun.h:2540:9: note:   candidate expects 1 argument, 2 provided
/usr/include/lensfun/lensfun.h:2555:9: note: candidate: ‘int lfModifier::EnableVignettingCorrection(const lfLens*, float, float, float)’
 2555 |     int EnableVignettingCorrection (const lfLens* lens, float focal, float aperture, float distance);
      |         ^~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/include/lensfun/lensfun.h:2555:9: note:   candidate expects 4 arguments, 2 provided
/build/filmulator/src/filmulator-gui-0.11.0/filmulator-gui/core/imagePipeline.cpp:810:65: error: no matching function for call to ‘lfModifier::EnableDistortionCorrection()’
  810 |                     modflags |= mod->EnableDistortionCorrection();
      |                                                                 ^
In file included from /build/filmulator/src/filmulator-gui-0.11.0/filmulator-gui/core/../ui/parameterManager.h:16,
                 from /build/filmulator/src/filmulator-gui-0.11.0/filmulator-gui/core/imagePipeline.h:5,
                 from /build/filmulator/src/filmulator-gui-0.11.0/filmulator-gui/core/imagePipeline.cpp:1:
/usr/include/lensfun/lensfun.h:2498:9: note: candidate: ‘int lfModifier::EnableDistortionCorrection(const lfLensCalibDistortion&)’
 2498 |     int EnableDistortionCorrection (const lfLensCalibDistortion& lcd);
      |         ^~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/include/lensfun/lensfun.h:2498:9: note:   candidate expects 1 argument, 0 provided
/usr/include/lensfun/lensfun.h:2509:9: note: candidate: ‘int lfModifier::EnableDistortionCorrection(const lfLens*, float)’
 2509 |     int EnableDistortionCorrection (const lfLens* lens, float focal);
      |         ^~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/include/lensfun/lensfun.h:2509:9: note:   candidate expects 2 arguments, 0 provided
make[2]: *** [CMakeFiles/filmulator.dir/build.make:381: CMakeFiles/filmulator.dir/core/imagePipeline.cpp.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:173: CMakeFiles/filmulator.dir/all] Error 2
make: *** [Makefile:149: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
==> ERROR: Build failed, check (...)

melentye commented on 2021-01-25 15:26

The package depends on lensfun-git, would a dependency on a normal lensfun be enough? lensfun-git provides lensfun so then it would be up to the user to select whether they want -git or the usual version.

heitzmann commented on 2021-01-24 22:26

This package is missing a dependency: qt5-quickcontrols2